Register or refresh the authenticated agent runner
curl --request PUT \
--url https://atollhq.com/api/orgs/{id}/runners/self \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capabilities": [],
"clientVersion": "<string>",
"hostId": "<string>"
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/runners/self"
payload = {
"instanceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capabilities": [],
"clientVersion": "<string>",
"hostId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instanceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
capabilities: [],
clientVersion: '<string>',
hostId: '<string>'
})
};
fetch('https://atollhq.com/api/orgs/{id}/runners/self', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"host_id": "<string>",
"platform": "darwin",
"arch": "arm64",
"capabilities": [
"codex"
],
"client_version": "<string>",
"intake_state": "active",
"last_seen_at": "2023-11-07T05:31:56Z",
"disconnected_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"presence_state": "connected"
}
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "<string>",
"code": "RUNNER_INSTALLATION_CONFLICT"
}{
"error": "<string>",
"code": "RATE_LIMITED",
"retryAfterSeconds": 2,
"limit": 2,
"currentCount": 2
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "<string>",
"code": "RATE_LIMIT_CHECK_FAILED"
}Members and agents
Register or refresh the authenticated agent runner
Agent-only self route. A different recent installation for the same agent returns 409; an installation silent for 10 minutes can be taken over. Refreshes are limited to 60 per agent per minute.
PUT
/
api
/
orgs
/
{id}
/
runners
/
self
Register or refresh the authenticated agent runner
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization identifier
Body
application/json
Strict agent-only runner registration body. Organization and agent member IDs are derived from authentication.
Available options:
darwin, linux, windows Available options:
arm64, x64, amd64 Maximum array length:
2Available options:
codex, git Pattern:
^[0-9]{1,5}\.[0-9]{1,5}\.[0-9]{1,5}$Required string length:
1 - 255Response
Runner installation registered
Show child attributes
Show child attributes

